All pages
Powered by GitBook
1 of 1

Loading...

Delete statement attachment

delete

Permanently removes the attachment and its file. This operation cannot be undone.

Path parameters
statementIdstringRequired

The ID of the statement to which the attachment belongs.

idstringRequired

The ID of the attachment to delete.

Responses
204

No Content

No content

404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
delete/public/v1/billing/statements/{statementId}/attachments/{id}
DELETE /public/v1/billing/statements/{statementId}/attachments/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*

No content

Deletes a statement attachment.